import { defineComponent, toRefs, openBlock, createElementBlock, pushScopeId, popScopeId, createElementVNode } from "vue";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _withScopeId = (n) => (pushScopeId("data-v-6888cc18"), n = n(), popScopeId(), n);
const _hoisted_1 = { class: "weather" };
const _hoisted_2 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("div", { class: "temperature" }, "25\xB0", -1));
const _hoisted_3 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("div", { class: "weather2" }, "\u6674\u8F6C\u591A\u4E91", -1));
const _hoisted_4 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("div", { class: "time" }, "12:34:43", -1));
const _hoisted_5 = /* @__PURE__ */ _withScopeId(() => /* @__PURE__ */ createElementVNode("div", { class: "address" }, "\u6210\u90FD", -1));
const _hoisted_6 = [
  _hoisted_2,
  _hoisted_3,
  _hoisted_4,
  _hoisted_5
];
const __default__ = defineComponent({ name: "ETextWeather" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, _hoisted_6);
    };
  }
});
var _ETextWeather = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-6888cc18"]]);
export { _ETextWeather as default };
